Groovy Documentation

## org.codehaus.groovy.grails.scaffolding
[Java] Class DomainClassPropertyComparator

    java.lang.Object
      org.codehaus.groovy.grails.scaffolding.DomainClassPropertyComparator

All Implemented Interfaces:
  java.util.Comparator

    @SuppressWarnings("rawtypes")
    public class DomainClassPropertyComparator

Comparator that uses the domain class property constraints to establish order in sort methods and always places the id first.

Authors:
  Graeme Rocher

Constructor Summary
`DomainClassPropertyComparator(GrailsDomainClass domainClass)`

Method Summary
`int` | `compare(java.lang.Object o1, java.lang.Object o2)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### DomainClassPropertyComparator

    public DomainClassPropertyComparator(GrailsDomainClass domainClass)

Method Detail

### compare

    public int compare(java.lang.Object o1, java.lang.Object o2)

Groovy Documentation